gio-0.13.11.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

System.GIO.Icons.FileIcon

Contents

- Details
- Types
- Methods

Description

Synopsis

- newtype FileIcon = FileIcon (ForeignPtr FileIcon)
- class GObjectClass o => FileIconClass o
- fileIconNew :: FileClass file => file -> IO FileIcon
- fileIconGetFile :: FileIconClass icon => icon -> IO File

# Details

`FileIcon` specifies an icon by pointing to an image file to be used as icon.

# Types

newtype FileIcon Source #

Constructors

FileIcon (ForeignPtr FileIcon) |

#### Instances

Instances details

Eq FileIcon Source # |
Instance details Defined in System.GIO.Types Methods (==) :: FileIcon -> FileIcon -> Bool Source # (/=) :: FileIcon -> FileIcon -> Bool Source #
Ord FileIcon Source # |
Instance details Defined in System.GIO.Types Methods compare :: FileIcon -> FileIcon -> Ordering Source # (<) :: FileIcon -> FileIcon -> Bool Source # (<=) :: FileIcon -> FileIcon -> Bool Source # (>) :: FileIcon -> FileIcon -> Bool Source # (>=) :: FileIcon -> FileIcon -> Bool Source # max :: FileIcon -> FileIcon -> FileIcon Source # min :: FileIcon -> FileIcon -> FileIcon Source #
FileIconClass FileIcon Source # |
Instance details Defined in System.GIO.Types
GObjectClass FileIcon Source # |
Instance details Defined in System.GIO.Types Methods toGObject :: FileIcon -> GObject Source # unsafeCastGObject :: GObject -> FileIcon Source #

class GObjectClass o => FileIconClass o Source #

#### Instances

Instances details

FileIconClass FileIcon Source # |
Instance details Defined in System.GIO.Types

# Methods

fileIconNew :: FileClass file => file -> IO FileIcon Source #

Creates a new icon for a file.

fileIconGetFile :: FileIconClass icon => icon -> IO File Source #

Gets the `File` associated with the given icon.